package com.xjrsoft.common.utils;

import cn.hutool.db.meta.JdbcType;
import cn.hutool.db.meta.MetaUtil;

import java.sql.JDBCType;
import java.sql.Timestamp;
import java.util.Date;

/**
 * @Author: tzx
 * @Date: 2022/4/25 15:37
 */
public class JdbcToJavaUtil {

    /**
     * 根据jdbc类型 返回java类型字符串
     */
    public static String getClassName(JdbcType type) {

        switch (type) {
            case BIT:
                return "Boolean";
            case TINYINT:
                return "Byte";
            case SMALLINT:
                return "Short";
            case INTEGER:
                return "Integer";
            case BIGINT:
                return "Long";
            case FLOAT:
                return "Float";
            case REAL:
            case DOUBLE:
                return "Double";
            case NUMERIC:
            case DECIMAL:
                return "BigDecimal";
            case CHAR:
            case VARCHAR:
            case LONGVARCHAR:
                return "String";
            case DATE:
            case TIMESTAMP:
                return "LocalDateTime";
            case TIME:
                return "LocalTime";
            case BINARY:
            case VARBINARY:
            case LONGVARBINARY:
                return "Byte[]";
            case DATETIMEOFFSET:
            default:
                return "Object";

        }
    }

}
