package com.xjrsoft.config;

import com.xjrsoft.common.enums.CloudType;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author: tzx
 * @Date: 2022/3/8 10:29
 */
@Data
@Component
@ConfigurationProperties("xjrsoft.oss")
public class OSSConfig {

    /**
     * 云服务类别
     */
     private CloudType cloudType;

    /**
     * 是否开启
     */
     private Boolean enabled;

    /**
     * 域名
     */
     private String endpoint;

    /**
     * 前缀
     */
    private String prefix;

    /**
     * accessKey  腾讯云 这个代表 secretId
     */
     private String accessKey;

    /**
     * 密钥
     */
     private String secretKey;

    /**
     * bucket
     */
     private String bucketName;

    /**
     * 区域  目前只有腾讯云有需要配置
     */
    private String region;

    /**
     * appId 腾讯云需要配置
     */
    private Long appId;

}
