package com.xjrsoft.config;

import com.xjrsoft.common.enums.SmsCloudType;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@ConfigurationProperties("xjrsoft.sms")
public class XjrSmsConfig {

    /**
     * 云平台 服务提供商
     */
    private SmsCloudType platform;

    /**
     * 验证码通道号
     */
    private String captchaSender;

    /**
     * 验证码模板id
     */
    private String captchaTemplateId;

    /**
     * 通知类通道号
     */
    private String notifySender;

    /**
     * 通知类消息通知模板号
     */
    private String notifyTemplateId;

    /**
     * 通知类通道号
     */
    private String circulatedSender;

    /**
     * 通知类传阅消息模板号
     */
    private String circulatedTemplateId;

    /**
     * 通知类超时通道号
     */
    private String timeoutSender;

    /**
     * 通知类超时提醒模板号
     */
    private String timeoutTemplateId;

}
