package com.xjrsoft.module.courseTable.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import cn.dev33.satoken.stp.StpUtil;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.LocalDateTimeUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringPool;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.xjrsoft.common.model.result.R;
import com.xjrsoft.common.page.ConventPage;
import com.xjrsoft.common.page.PageInput;
import com.xjrsoft.common.utils.VoToColumnUtil;
import com.xjrsoft.module.courseTable.dto.ClassListDto;
import com.xjrsoft.module.courseTable.entity.CourseTable;
import com.xjrsoft.module.courseTable.service.ICourseTableService;
import com.xjrsoft.module.oa.dto.MessageListDto;
import com.xjrsoft.module.oa.entity.Message;
import com.xjrsoft.module.oa.service.IMessageService;
import com.xjrsoft.module.oa.vo.MessageListVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.io.InputStream;
import java.time.Duration;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 课表 前端控制器
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 02:19:56
 */
@RequestMapping("/coursetable")
@Api(value = "/coursetable", tags = "课表")
@AllArgsConstructor
@RestController
public class CourseTableController {

    private ICourseTableService courseTableService;

    @GetMapping("/class")
    @ApiOperation(value = "获取班级课表")
    public R classList(ClassListDto dto) {
        return R.ok(courseTableService.classList(dto));
    }

    @PostMapping("/wordimport")
    @ApiOperation(value = "word课表导入")
    @SaCheckPermission("coursetable:wordimport")
    public R wordImport(@RequestParam("file") MultipartFile file) throws IOException {
        InputStream inputStream = file.getInputStream();

        return R.ok(courseTableService.wordImport(inputStream));
    }
}
