package com.xjrsoft.module.courseTable.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Time;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 上课时间
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 02:19:56
 */
@Data
@TableName("class_time")
@ApiModel(value = "ClassTime对象", description = "上课时间")
public class ClassTime implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private Integer timePeriod;

    @ApiModelProperty("节次")
    private Integer number;

    @ApiModelProperty("全称")
    private String fullName;

    @ApiModelProperty("简称")
    private String shortName;

    @ApiModelProperty("夏天开始时间")
    private String summerStartTime;

    @ApiModelProperty("夏天结束时间")
    private String summerEndTime;

    @ApiModelProperty("冬天开始时间")
    private String winterStartTime;

    @ApiModelProperty("冬天结束时间")
    private String winterEndTime;

    @ApiModelProperty("备注")
    private String remark;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
}
