package com.xjrsoft.module.courseTable.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 课表
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 02:19:56
 */
@Data
@TableName("course_table")
@ApiModel(value = "CourseTable对象", description = "课表")
public class CourseTable implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键编号")
      private Long id;

    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;

    @ApiModelProperty("教师编号(用户表)")
    private Long teacherId;

    @ApiModelProperty("教师名称")
    private String teacherName;

    @ApiModelProperty("课程编号(course)")
    private Long courseId;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("班级编号(class)")
    private Long classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("周")
    private Integer week;

    @ApiModelProperty("星期几(1-7)")
    private Integer weeks;

    @ApiModelProperty("星期中文")
    private String weeksCn;

    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private Integer timePeriod;

    @ApiModelProperty("节次")
    private Integer timeNumber;

    @ApiModelProperty("场地编号(site)")
    private Integer siteId;

    @ApiModelProperty("场地名称")
    private String siteName;

    @ApiModelProperty("状态 1=正常 2=错误")
    private Integer status;

    @ApiModelProperty("错误信息描述")
    private String errMsg;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
}
