package com.xjrsoft.module.demo.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @title: Demo
 * @Author tzx
 * @Date: 2022/4/16 23:33
 * @Version 1.0
 */
@Data
@TableName("xjr_demo")
@ApiModel(value = "demo对象", description = "")
public class Demo {

    private Long id;

    @ApiModelProperty("字符串")
    private String fieldString;

    @ApiModelProperty("整型")
    private String fieldInt;

    @ApiModelProperty("时间")
    private LocalDateTime fieldDatetime;

    @ApiModelProperty("浮点")
    private Double fieldDouble;

    @ApiModelProperty("长整型")
    private Long fieldLong;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("排序")
    private Integer sortCode;

    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;

    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private Integer deleteMark;

    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
}
