package com.xjrsoft.module.erpModel.caseErpBom.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * BOM信息【case_erp_bom】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-19
 */
@Data
@TableName("case_erp_bom")
@ApiModel(value = "CaseErpBom对象", description = "BOM信息【case_erp_bom】")
@EqualsAndHashCode(callSuper = false)
public class CaseErpBom extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("父级id")
    private Long parentId;

    @ApiModelProperty("层级")
    private String level;

    @ApiModelProperty("物料外键id")
    private Long materialId;

    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    @ExcelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("物料类别名称")
    @ExcelProperty("物料类别名称")
    private String  typeName;

    @ApiModelProperty("物料属性名称")
    @ExcelProperty("物料属性名称")
    private String propertyName;

    @ApiModelProperty("子级物料数量")
    private BigDecimal count;

    @ApiModelProperty("备注")
    private String remark;

}
