package com.xjrsoft.module.erpModel.caseErpCustomer.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.time.LocalDateTime;

@Data
public class UpdateCaseErpCustomerGatherDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @ApiModelProperty("客户信息外键(case_erp_customer)")
    private Long customerId;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("计划回款金额")
    private BigDecimal waitAmount;

    @ApiModelProperty("计划回款日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp receivedDate;

    @ApiModelProperty("最迟回款日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp finallyDate;

    @ApiModelProperty("合同负责人ids")
    private String principalIds;

    @ApiModelProperty("合同标题")
    private String title;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("备注")
    private String remark;
}
