package com.xjrsoft.module.erpModel.caseErpCustomer.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 客户联系人【case_erp_customer_contacts】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-11
 */
@TableName("case_erp_customer_contacts")
@ApiModel(value = "CaseErpCustomerContacts对象", description = "客户联系人【case_erp_customer_contacts】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpCustomerContacts extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("客户信息外键(case_erp_customer)")
    private Long customerId;

    @ApiModelProperty("是否为默认联系人(1是，0否)")
    private Integer isDefault;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("职位")
    private String post;

    @ApiModelProperty("部门")
    private String dept;

    @ApiModelProperty("备注")
    private String remark;

}
