package com.xjrsoft.module.erpModel.caseErpCustomer.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 客户跟进【case_erp_customer_follow】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-11
 */
@TableName("case_erp_customer_follow")
@ApiModel(value = "CaseErpCustomerFollow对象", description = "客户跟进【case_erp_customer_follow】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpCustomerFollow extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("客户信息外键(case_erp_customer)")
    private Long customerId;

    @ApiModelProperty("跟进方式数据字典id")
    private Long followTypeId;

    @ApiModelProperty("跟进时间")
    private LocalDateTime followTime;

    @ApiModelProperty("下次跟进时间")
    private LocalDateTime nextFollowTime;

    @ApiModelProperty("说明")
    private String content;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("备注")
    private String remark;
}
