package com.xjrsoft.module.erpModel.caseErpCustomer.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 客户回款【case_erp_customer_gather】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-12
 */
@TableName("case_erp_customer_gather")
@ApiModel(value = "CaseErpCustomerGather对象", description = "客户回款【case_erp_customer_gather】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpCustomerGather extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("客户信息外键(case_erp_customer)")
    private Long customerId;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("计划回款金额")
    private BigDecimal waitAmount;

    @ApiModelProperty("已回款金额")
    private BigDecimal alreadyAmount;

    @ApiModelProperty("未回款金额")
    private BigDecimal unpaidAmount;

    @ApiModelProperty("计划回款日期")
    private LocalDateTime receivedDate;

    @ApiModelProperty("最迟回款日期")
    private LocalDateTime finallyDate;

    @ApiModelProperty("合同负责人ids")
    private String principalIds;

    @ApiModelProperty("合同负责人names")
    private String principalNames;

    @ApiModelProperty("合同标题")
    private String title;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("备注")
    private String remark;
}
