package com.xjrsoft.module.erpModel.caseErpCustomer.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 客户回款详情【case_erp_customer_gather_detail】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-12
 */
@TableName("case_erp_customer_gather_detail")
@ApiModel(value = "CaseErpCustomerGatherDetail对象", description = "客户回款详情【case_erp_customer_gather_detail】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpCustomerGatherDetail extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("客户回款外键(case_erp_customer)")
    private Long gatherId;

    @ApiModelProperty("回款金额")
    private BigDecimal amountCollect;

    @ApiModelProperty("回款日期")
    private LocalDateTime date;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("备注")
    private String remark;


}
