package com.xjrsoft.module.erpModel.caseErpCustomer.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class CaseErpCustomerGatherDetailInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("计划回款金额")
    private BigDecimal waitAmount;

    @ApiModelProperty("已回款金额")
    private BigDecimal alreadyAmount;

    @ApiModelProperty("未回款金额")
    private BigDecimal unpaidAmount;

    @ApiModelProperty("计划回款日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime receivedDate;

    @ApiModelProperty("最迟回款日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime finallyDate;

    @ApiModelProperty("合同负责人名称")
    private String principalNames;

    @ApiModelProperty("合同标题")
    private String title;

    @ApiModelProperty("创建人")
    private String createUserName;

    @ApiModelProperty("创建日期")
    private LocalDateTime createDate;

    @ApiModelProperty("回款记录详情信息集合")
    List<CaseErpCustomerGatherDetailVo> caseErpCustomerGatherDetailVoList;

}
