package com.xjrsoft.module.erpModel.caseErpCustomer.vo;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CaseErpCustomerListVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("客户类型,数据字典id")
    private Long typeId;

    @ApiModelProperty("公司性质,数据字典id")
    private Long natureId;

    @ApiModelProperty("所在行业")
    private String industry;

    @ApiModelProperty("来源,数据字典id")
    private Long sourceId;

    @ApiModelProperty("规模,数据字典id")
    private Long scaleId;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("默认联系人姓名")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String defaultName;

    @ApiModelProperty("默认联系人电话")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String defaultPhone;

    @ApiModelProperty("默认联系人职位")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String defaultPost;

    @ApiModelProperty("默认联系人部门")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String defaultDep;

    @ApiModelProperty("客户所属人员(销售人员)")
    private String saleIds;

    @ApiModelProperty("客户所属人员名称")
    private String saleNames;

    @ApiModelProperty("客户所属人员电话")
    private String salePhone;

    @ApiModelProperty("客户状态(0正常，1公海)")
    private Integer state;

    @ApiModelProperty("加入公海日期")
    private LocalDateTime inOpenDate;

}
