package com.xjrsoft.module.erpModel.caseErpDevice.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.Date;

@Data
public class UpdateCaseErpDeviceInspectDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;
    @ApiModelProperty("设备类型数据字典id")
    private Long typeId;

    @ApiModelProperty("设备名称")
    private Long name;

    @ApiModelProperty("巡检人(可以多人，分割)")
    private String checkedUserIds;

    @ApiModelProperty("检查性质，数据字典id")
    private Long natureId;

    @ApiModelProperty("检查设备")
    private Long deviceId;

    @ApiModelProperty("设备编号")
    private String number;

    @ApiModelProperty("设备位置")
    private String address;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("检查结果")
    private String result;

    @ApiModelProperty("巡检时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp date;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("巡检状态(1已完成，0待维修)")
    private Integer state;

    @ApiModelProperty("备注")
    private String remark;

}
