package com.xjrsoft.module.erpModel.caseErpDevice.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备信息【case_erp_deviceinfo】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-21
 */
@TableName("case_erp_device_info")
@ApiModel(value = "CaseErpDeviceInfo对象", description = "设备信息【case_erp_deviceinfo】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpDeviceInfo extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("设备类型")
    private Long typeId;

    @ApiModelProperty("设备编号")
    private String number;

    @ApiModelProperty("设备名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("供应商名称")
    private Long supplierId;

    @ApiModelProperty("购买日期")
    private Timestamp buyDate;

    @ApiModelProperty("维保日期")
    private Timestamp maintainDate;

    @ApiModelProperty("负责人ids")
    private String principalIds;
    @ApiModelProperty("负责人名称")
    private String principalNames;

    @ApiModelProperty("报废日期")
    private Timestamp scrapDate;

    @ApiModelProperty("设备位置")
    private String address;

    @ApiModelProperty("设备状态(0正常，1异常)")
    private Integer state;

    @ApiModelProperty("备注")
    private String remark;
}
