package com.xjrsoft.module.erpModel.caseErpDevice.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 运维巡检【case_erp_device_inspect】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-10
 */
@TableName("case_erp_device_inspect")
@ApiModel(value = "CaseErpDeviceInspect对象", description = "运维巡检【case_erp_device_inspect】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpDeviceInspect  extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("设备类型数据字典id")
    private Long typeId;

    @ApiModelProperty("设备名称")
    private String name;

    @ApiModelProperty("巡检人(可以多人，分割)")
    private String checkedUserIds;

    @ApiModelProperty("巡检人名称(可以多人，分割)")
    private String checkedUserNames;

    @ApiModelProperty("检查性质，数据字典id")
    private Long natureId;

    @ApiModelProperty("检查设备")
    private Long deviceId;

    @ApiModelProperty("设备编号")
    private String number;

    @ApiModelProperty("设备位置")
    private String address;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("检查结果")
    private String result;

    @ApiModelProperty("巡检时间")
    @JsonFormat(pattern="yyyy-MM-dd")
    private LocalDateTime date;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("巡检状态(1已完成，0待维修)")
    private Integer state;

    @ApiModelProperty("备注")
    private String remark;
}
