package com.xjrsoft.module.erpModel.caseErpDevice.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备告警【case_erp_device_warn】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-10
 */
@TableName("case_erp_device_warn")
@ApiModel(value = "CaseErpDeviceWarn对象", description = "设备告警【case_erp_device_warn】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpDeviceWarn extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("检查设备")
    private Long deviceId;

    @ApiModelProperty("处理人ids")
    private String dealUserIds;

    @ApiModelProperty("处理人名称")
    private String dealUserNames;

    @ApiModelProperty("设备类型数据字典id")
    private Long typeId;

    @ApiModelProperty("设备编号")
    private String number;

    @ApiModelProperty("设备名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("设备位置")
    private String address;

    @ApiModelProperty("处理方式")
    private String dealWay;

    @ApiModelProperty("处理日期")
    private LocalDateTime date;

    @ApiModelProperty("故障等级，数据字典id")
    private Long level;

    @ApiModelProperty("故障描述")
    private String remark;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("处理状态(1已处理，0待处理)")
    private Integer state;
}
