package com.xjrsoft.module.erpModel.caseErpDevice.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;

@Data
public class CaseErpDeviceInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("设备类型名称")
    @ExcelProperty("设备类型名称")
    private String typeName;

    @ApiModelProperty("设备编号")
    @ExcelProperty("设备编号")
    private String number;

    @ApiModelProperty("设备名称")
    @ExcelProperty("设备名称")
    private String name;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("供应商名称")
    @ExcelProperty("供应商名称")
    private String supplierName;

    @ApiModelProperty("购买日期")
    @ExcelProperty("购买日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp buyDate;

    @ApiModelProperty("维保日期")
    @ExcelProperty("维保日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp maintainDate;

    @ApiModelProperty("负责人名称")
    @ExcelProperty("负责人名称")
    private String principalNames;

    @ApiModelProperty("报废日期")
    @ExcelProperty("报废日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp scrapDate;

    @ApiModelProperty("设备位置")
    @ExcelProperty("设备位置")
    private String address;

    @ApiModelProperty("设备状态(0正常，1异常)")
    @ExcelProperty("设备状态(0正常，1异常)")
    private Integer state;

    private LocalDateTime createDate;
}
