package com.xjrsoft.module.erpModel.caseErpLog.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 操作记录【case_erp_log】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-20
 */
@TableName("case_erp_log")
@ApiModel(value = "CaseErpLog对象", description = "操作记录【case_erp_log】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpLog  extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("类型id:0客户，1物料，2采购，3销售,4供应商")
    private Integer categoryId;

    @ApiModelProperty("外键id")
    private Long keyId;

    @ApiModelProperty("操作时间")
    private LocalDateTime operateTime;

    @ApiModelProperty("操作用户id")
    private Long operateUserId;

    @ApiModelProperty("操作用户账号")
    private String operateUserAccount;

    @ApiModelProperty("操作用户类型")
    private String operateTypeId;

    @ApiModelProperty("ip")
    private String ip;

    @ApiModelProperty("IP地址")
    private String ipAddress;

    @ApiModelProperty("主机")
    private String host;

    @ApiModelProperty("浏览器")
    private String browser;

    @ApiModelProperty("执行结果状态")
    private Integer executeResult;

    @ApiModelProperty("执行结果内容")
    private String executeResultJson;

    @ApiModelProperty("备注")
    private String remark;

}
