package com.xjrsoft.module.erpModel.caseErpMaterial.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 物料信息【case_erp_material】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-19
 */
@Data
@TableName("case_erp_material")
@ApiModel(value = "CaseErpMaterial对象", description = "物料信息【case_erp_material】")
@EqualsAndHashCode(callSuper = false)
public class CaseErpMaterial extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("是否系统编码")
    private Integer isSysCode;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位id")
    private Long unitId;

    @ApiModelProperty("物料类别id")
    private Long classesId;

    @ApiModelProperty("物料属性id")
    private Long propertyId;

    @ApiModelProperty("文件id")
    @TableField(updateStrategy=FieldStrategy.IGNORED)
    private Long fileId;

    @ApiModelProperty("库存数量")
    private BigDecimal inventory;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("状态")
    private Integer state;
}
