package com.xjrsoft.module.erpModel.caseErpPurchase.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;


/**
* @title: 分页查询入参
* @Author 管理员
* @Date: 2023-07-20
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpApplyPageDto extends PageInput {

    /**
    * 申请单号
    */
    @ApiModelProperty("申请单号")
    private String applyNumber;
    /**
    * 是否使用系统编号（0-未使用，1-使用）
    */
    @ApiModelProperty("是否使用系统编号（0-未使用，1-使用）")
    private Integer isSysNum;
    /**
    * 申请主题
    */
    @ApiModelProperty("申请主题")
    private String theme;
    /**
    * 申请日期字段开始时间
    */
    @ApiModelProperty("申请日期字段开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime applyDateStart;
    /**
    * 申请日期字段结束时间
    */
    @ApiModelProperty("申请日期字段结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime applyDateEnd;
    /**
    * 申请人员ids
    */
    @ApiModelProperty("申请人员ids")
    private String applyUserIds;
    /**
    * 申请部门id
    */
    @ApiModelProperty("申请部门id")
    private Long applyDepId;
    /**
    * 关联项目,数据字典id
    */
    @ApiModelProperty("关联项目,数据字典id")
    private Long relatedProject;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
