package com.xjrsoft.module.erpModel.caseErpPurchase.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;


/**
* @title: 采购申请
* @Author 管理员
* @Date: 2023-07-20
* @Version 1.0
*/
@Data
@TableName("case_erp_apply")
@ApiModel(value = "采购申请对象", description = "采购申请")
public class CaseErpApply implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 申请单号
    */
    @ApiModelProperty("申请单号")
    private String applyNumber;
    /**
    * 申请主题
    */
    @ApiModelProperty("申请主题")
    private String theme;
    /**
    * 申请日期
    */
    @ApiModelProperty("申请日期")
    private LocalDateTime applyDate;
    /**
    * 申请部门id
    */
    @ApiModelProperty("申请部门id")
    private Long applyDepId;
    /**
    * 申请部门名称
    */
    @ApiModelProperty("申请部门名称")
    private String applyDepName;
    /**
    * 申请人员ids
    */
    @ApiModelProperty("申请人员ids")
    private String applyUserIds;
    /**
    * 申请人员名称
    */
    @ApiModelProperty("申请人员名称")
    private String applyUserNames;
    /**
    * 关联项目,数据字典id
    */
    @ApiModelProperty("关联项目,数据字典id")
    private Long relatedProject;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 订单总量
    */
    @ApiModelProperty("订单总量")
    private BigDecimal countSum;
    /**
    * 订单总金额
    */
    @ApiModelProperty("订单总金额")
    private BigDecimal amountSum;
    /**
    * 附件
    */
    @ApiModelProperty("附件")
    private String filePath;
    /**
    * 是否使用系统编号（0-未使用，1-使用）
    */
    @ApiModelProperty("是否使用系统编号（0-未使用，1-使用）")
    private Integer isSysNum;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;

    /**
    * caseErpApplyDetail
    */
    @ApiModelProperty("caseErpApplyDetail子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "applyId")
    private List<CaseErpApplyDetail> caseErpApplyDetailList;

}