package com.xjrsoft.module.erpModel.caseErpPurchase.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;


/**
* @title: 采购申请
* @Author 管理员
* @Date: 2023-07-20
* @Version 1.0
*/
@Data
@TableName("case_erp_apply_detail")
@ApiModel(value = "采购申请对象", description = "采购申请")
public class CaseErpApplyDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 采购申请单外键Id(case_erp_apply)
    */
    @ApiModelProperty("采购申请单外键Id(case_erp_apply)")
    private Long applyId;
    /**
    * 物料编码
    */
    @ApiModelProperty("物料编码")
    private String code;
    /**
    * 物料名称
    */
    @ApiModelProperty("物料名称")
    private String name;
    /**
    * 规格型号
    */
    @ApiModelProperty("规格型号")
    private String model;
    /**
    * 单位
    */
    @ApiModelProperty("单位")
    private String unitName;
    /**
    * 单价
    */
    @ApiModelProperty("单价")
    private BigDecimal price;
    /**
    * 数量
    */
    @ApiModelProperty("数量")
    private BigDecimal count;
    /**
    * 预计金额
    */
    @ApiModelProperty("预计金额")
    private BigDecimal amount;
    /**
    * 交付日期
    */
    @ApiModelProperty("交付日期")
    private LocalDateTime payDate;
    /**
    * 用途
    */
    @ApiModelProperty("用途")
    private String purpose;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;


}