package com.xjrsoft.module.erpModel.caseErpPurchase.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 采购订单详情【case_erp_purchase_detail】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-21
 */
@TableName("case_erp_purchase_detail")
@ApiModel(value = "CaseErpPurchaseDetail对象", description = "采购订单详情【case_erp_purchase_detail】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpPurchaseDetail extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("订单外键Id(case_erp_order)")
    private Long purchaseId;

    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位")
    private String unitName;

    @ApiModelProperty("单价")
    private BigDecimal price;

    @ApiModelProperty("数量")
    private BigDecimal count;

    @ApiModelProperty("折扣")
    private BigDecimal discount;

    @ApiModelProperty("税率")
    private BigDecimal taxRate;

    @ApiModelProperty("税费")
    private BigDecimal taxBreak;

    @ApiModelProperty("税后金额")
    private BigDecimal afterTaxAmount;

    @ApiModelProperty("交付日期")
    private LocalDateTime deliveryDate;

    @ApiModelProperty("已入库数量")
    private BigDecimal inStoreCount;

    @ApiModelProperty("未入库数量")
    private BigDecimal noInStoreCount;

    @ApiModelProperty("退货数量")
    private BigDecimal returnCount;

    @ApiModelProperty("备注")
    private String remark;
}
