package com.xjrsoft.module.erpModel.caseErpPurchase.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpPurchaseDetailExportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("物料编码")
    @ExcelProperty("产品编码")
    private String code;

    @ApiModelProperty("物料名称")
    @ExcelProperty("产品名称")
    private String name;

    @ApiModelProperty("规格型号")
    @ExcelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位")
    @ExcelProperty("单位")
    private String unitName;

    @ApiModelProperty("单价")
    @ExcelProperty("单价")
    private BigDecimal price;

    @ApiModelProperty("数量")
    @ExcelProperty("销售数量")
    private BigDecimal count;

    @ApiModelProperty("折扣")
    @ExcelProperty("折扣")
    private BigDecimal discount;

    @ApiModelProperty("税率")
    @ExcelProperty("税率")
    private BigDecimal taxRate;

    @ApiModelProperty("税费")
    @ExcelProperty("税费")
    private BigDecimal taxBreak;

    @ApiModelProperty("税后金额")
    @ExcelProperty("税后金额")
    private BigDecimal afterTaxAmount;

    @ApiModelProperty("已入库数量")
    @ExcelProperty("已入库数量")
    private BigDecimal inStoreCount;

    @ApiModelProperty("未入库数量")
    @ExcelProperty("未入库数量")
    private BigDecimal noInStoreCount;

    @ApiModelProperty("退货数量")
    @ExcelProperty("退货数量")
    private BigDecimal returnCount;

    @ApiModelProperty("交付日期")
    @ExcelProperty("交付日期")
    private LocalDateTime deliveryDate;


}
