package com.xjrsoft.module.erpModel.caseErpPurchase.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpPurchaseExportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("采购编码")
    @ExcelProperty("采购编码")
    private String purchaseNumber;

    @ApiModelProperty("订单主题")
    @ExcelProperty("采购编码")
    private String theme;

    @ApiModelProperty("供应商名称")
    @ExcelProperty("供应商")
    private String supplierName;

    @ApiModelProperty("采购日期")
    @ExcelProperty("采购日期")
    private LocalDateTime purchaseDate;

    @ApiModelProperty("采购部门名称")
    @ExcelProperty("采购部门")
    private String purchaseDeptName;

    @ApiModelProperty("采购人员名称")
    @ExcelProperty("采购人员")
    private String purchasePersonName;

    @ApiModelProperty("采购物品")
    @ExcelProperty("采购物品")
    private String saleDetail;

    @ApiModelProperty("订单总金额")
    @ExcelProperty("总金额")
    private BigDecimal amountSum;

    @ApiModelProperty("已付金额")
    @ExcelProperty("已付金额")
    private BigDecimal alreadyAmount;

    @ApiModelProperty("已到票金额")
    @ExcelProperty("已到票金额")
    private BigDecimal alreadyTicket;

    @ApiModelProperty("入库状态(1已完成，0未完成)")
    @ExcelProperty("入库")
    private Integer inStoreState;

    @ApiModelProperty("到票状态(1已完成，0未完成)")
    @ExcelProperty("到票")
    private Integer ticketState;

    @ApiModelProperty("付款状态(1已完成，0未完成)")
    @ExcelProperty("付款")
    private Integer payState;
}
