package com.xjrsoft.module.erpModel.caseErpPurchase.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpPurchasePageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("采购编码")
    private String purchaseNumber;

    @ApiModelProperty("订单主题")
    private String theme;

    @ApiModelProperty("采购日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime purchaseDate;

    @ApiModelProperty("供应商id")
    private Long supplierId;

    @ApiModelProperty("供应商名称")
    private String supplierName;

    @ApiModelProperty("采购部门id")
    private Long purchaseDeptId;

    @ApiModelProperty("采购部门名称")
    private String purchaseDeptName;

    @ApiModelProperty("采购人员id")
    private Long purchasePersonId;

    @ApiModelProperty("采购人员名称")
    private String purchasePersonName;

    @ApiModelProperty("采购物品")
    private String purchaseDetail;

    @ApiModelProperty("订单总金额")
    private BigDecimal amountSum;

    @ApiModelProperty("已付金额")
    private BigDecimal alreadyAmount;

    @ApiModelProperty("已到票金额")
    private BigDecimal alreadyTicket;

    @ApiModelProperty("入库状态(1已完成，0未完成)")
    private Integer inStoreState;

    @ApiModelProperty("到票状态(1已完成，0未完成)")
    private Integer ticketState;

    @ApiModelProperty("付款状态(1已完成，0未完成)")
    private Integer payState;


    @ApiModelProperty("关联项目id")
    private Long relatedProject;

    private String relatedProjectName;

    @ApiModelProperty("结算方式")
    private Long payType;

    private String payTypeName;

    private Long createUserId;
    private String createUserName;

    private LocalDateTime createDate;
    private Long modifyUserId;

    private LocalDateTime modifyDate;

    private String modifyUserName;


    private BigDecimal countSum;

    @ApiModelProperty("联系人")
    private String supplierPerson;

    @ApiModelProperty("联系方式")
    private String supplierWay;

    @ApiModelProperty("联系电话")
    private String purchasePhone;

    @ApiModelProperty("支付地址")
    private String payAddress;

    @ApiModelProperty("备注")
    private String remark;
}
