package com.xjrsoft.module.erpModel.caseErpSale.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.module.erpModel.caseErpCustomer.dto.CaseErpCustomerContactsDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class AddCaseErpSaleDetailDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("物料编码")
    private String code;
    @ApiModelProperty("物料名称")
    private String name;
    @ApiModelProperty("规格型号")
    private String model;
    @ApiModelProperty("单位")
    private String unitName;
    @ApiModelProperty("单价")
    private BigDecimal price;
    @ApiModelProperty("数量")
    private BigDecimal count;
    @ApiModelProperty("折扣")
    private BigDecimal discount;
    @ApiModelProperty("税率")
    private BigDecimal taxRate;
    @ApiModelProperty("税费")
    private BigDecimal taxBreak;
    @ApiModelProperty("税后金额")
    private BigDecimal afterTaxAmount;
    @ApiModelProperty("交付日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp deliveryDate;
    @ApiModelProperty("计划生产数量")
    private BigDecimal planCount;
    @ApiModelProperty("备注")
    private String remark;
}
