package com.xjrsoft.module.erpModel.caseErpSale.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.module.erpModel.caseErpCustomer.dto.CaseErpCustomerContactsDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class AddCaseErpSaleDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("销售单号")
    private String saleNumber;

    @ApiModelProperty("订单主题")
    private String theme;

    @ApiModelProperty("销售日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Timestamp saleDate;

    @ApiModelProperty("客户id")
    private Long customerId;

    @ApiModelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("联系人")
    private String clientPerson;

    @ApiModelProperty("联系方式")
    private String clientWay;

    @ApiModelProperty("客户经理")
    private String manager;

    @ApiModelProperty("所属部门")
    private String depName;

    @ApiModelProperty("联系电话")
    private String phone;

    @ApiModelProperty("关联项目,数据字典id")
    private Long relatedProject;

    @ApiModelProperty("结算方式")
    private Long payType;

    @ApiModelProperty("客户订单号")
    private String clientNumber;

    @ApiModelProperty("交货地址")
    private String payAddress;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("订单总量")
    private BigDecimal countSum;

    @ApiModelProperty("订单总金额")
    private BigDecimal amountSum;

    @ApiModelProperty("订单优惠后金额")
    private BigDecimal discount;

    @ApiModelProperty("已收金额")
    private BigDecimal alreadyAmount;

    @ApiModelProperty("已到票金额")
    private BigDecimal alreadyTicket;

    @ApiModelProperty("订单状态-审核状态")
    private Integer auditState;

    @ApiModelProperty("订单状态-保存状态(1正式,0草稿)")
    private Integer saveState;

    @ApiModelProperty("出库状态(1已完成，0未完成)")
    private Integer outStoreState;

    @ApiModelProperty("到票状态(1已完成，0未完成)")
    private Integer ticketState;

    @ApiModelProperty("付款状态(1已完成，0未完成)")
    private Integer payState;

    @ApiModelProperty("是否使用系统编号（0-未使用，1-使用）")
    private Integer isSysNum;

    private Boolean isSysNumBoolean;

    @ApiModelProperty("添加订单详情集合")
    private List<AddCaseErpSaleDetailDto> addCaseErpSaleDetailDtoList;
}
