package com.xjrsoft.module.erpModel.caseErpSale.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CaseErpSaleExportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("销售单号")
    @ExcelProperty("销售单号")
    private String saleNumber;

    @ApiModelProperty("订单主题")
    @ExcelProperty("销售订单主题")
    private String theme;

    @ApiModelProperty("客户名称")
    @ExcelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("销售日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty("销售日期")
    private LocalDateTime saleDate;

    @ApiModelProperty("产品概要")
    @ExcelProperty("产品概要")
    private String saleDetail;

    @ApiModelProperty("订单总金额")
    @ExcelProperty("总金额")
    private BigDecimal amountSum;

    @ApiModelProperty("订单优惠后金额")
    @ExcelProperty("优惠后金额")
    private BigDecimal discount;

    @ApiModelProperty("已收金额")
    @ExcelProperty("已收金额")
    private BigDecimal alreadyAmount;

    @ApiModelProperty("已到票金额")
    @ExcelProperty("已到票金额")
    private BigDecimal alreadyTicket;

    @ApiModelProperty("出库状态(1已完成，0未完成)")
    @ExcelProperty("出库")
    private Integer outStoreState;

    @ApiModelProperty("到票状态(1已完成，0未完成)")
    @ExcelProperty("开票")
    private Integer ticketState;

    @ApiModelProperty("付款状态(0已完成，1未完成)")
    @ExcelProperty("收款")
    private Integer payState;

}
