package com.xjrsoft.module.erpModel.caseErpSale.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.module.erpModel.caseErpSale.entity.CaseErpSaleDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class CaseErpSalePageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("销售单号")
    private String saleNumber;

    @ApiModelProperty("订单主题")
    private String theme;

    @ApiModelProperty("销售日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime saleDate;

    @ApiModelProperty("客户id")
    private Long customerId;

    @ApiModelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("订单总金额")
    private BigDecimal amountSum;

    @ApiModelProperty("订单优惠后金额")
    private BigDecimal discount;

    @ApiModelProperty("已收金额")
    private BigDecimal alreadyAmount;

    @ApiModelProperty("已到票金额")
    private BigDecimal alreadyTicket;

    @ApiModelProperty("订单状态-审核状态")
    private Integer auditState;

    @ApiModelProperty("订单状态-保存状态(1正式,0草稿)")
    private Integer saveState;

    @ApiModelProperty("出库状态(1已完成，0未完成)")
    private Integer outStoreState;

    @ApiModelProperty("到票状态(1已完成，0未完成)")
    private Integer ticketState;

    @ApiModelProperty("付款状态(0已完成，1未完成)")
    private Integer payState;

    @ApiModelProperty("产品概要")
    private String saleDetail;

    @ApiModelProperty("经办人")
    private String createUserName;

    private LocalDateTime createDate;

    private Long createUserId;
}
