package com.xjrsoft.module.erpModel.caseErpStock.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 入库记录【case_erp_instore_log】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-20
 */
@TableName("case_erp_instore_log")
@ApiModel(value = "CaseErpInstoreLog对象", description = "入库记录【case_erp_instore_log】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpInstoreLog extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("采购订单关联外键")
    private Long purchaseId;

    @ApiModelProperty("物料关联外键")
    private Long materialId;

    @ApiModelProperty("入库单号")
    private String number;

    @ApiModelProperty("入库订单主题")
    private String theme;

    @ApiModelProperty("入库时间")
    private LocalDateTime date;

    @ApiModelProperty("供应商名称")
    private String name;

    @ApiModelProperty("入库总数")
    private BigDecimal count;

    @ApiModelProperty("入库人员")
    private String person;

    @ApiModelProperty("入库仓库")
    private String store;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("入库类型")
    private String insertType;

}
