package com.xjrsoft.module.erpModel.caseErpStock.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 出库记录【case_erp_outstore_log】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-20
 */
@TableName("case_erp_outstore_log")
@ApiModel(value = "CaseErpOutstoreLog对象", description = "出库记录【case_erp_outstore_log】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpOutstoreLog extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("销售订单关联外键")
    private Long saleId;

    @ApiModelProperty("物料关联外键")
    private Long materialId;

    @ApiModelProperty("出库单号")
    private String number;

    @ApiModelProperty("出库订单主题")
    private String theme;

    @ApiModelProperty("出库时间")
    private LocalDateTime date;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("出库总数")
    private BigDecimal count;

    @ApiModelProperty("出库人员")
    private String person;

    @ApiModelProperty("出库仓库")
    private String store;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("出库类型")
    private String outType;

}
