package com.xjrsoft.module.erpModel.caseErpStore.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 出入库单据信息表【case_erp_store_receipt】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-20
 */
@TableName("case_erp_store_receipt")
@ApiModel(value = "CaseErpStoreReceipt对象", description = "出入库单据信息表【case_erp_store_receipt】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpStoreReceipt extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("单据名称")
    private String name;

    @ApiModelProperty("单据编号")
    private String code;

    @ApiModelProperty("单据类型，0-出库，1-入库")
    private Integer type;

    @ApiModelProperty("关联单据id，出库-销售订单id，入库-采购订单表id")
    private Long relationKeyId;

    @ApiModelProperty("经办人员ids")
    private String personIds;

    @ApiModelProperty("经办人员名称")
    private String personNames;

    @ApiModelProperty("备注")
    private String remark;
}
