package com.xjrsoft.module.erpModel.caseErpStore.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 出入库单据信息详情表【case_erp_store_receipt_detail】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-20
 */
@TableName("case_erp_store_receipt_detail")
@ApiModel(value = "CaseErpStoreReceiptDetail对象", description = "出入库单据信息详情表【case_erp_store_receipt_detail】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpStoreReceiptDetail extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("出入库单据信息表外键id(case_erp_store_receipt)")
    private Long storeReceiptId;

    @ApiModelProperty("物料编码")
    private String code;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位")
    private String unitName;

    @ApiModelProperty("数量")
    private BigDecimal count;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("操作类型：-1：减少、0：报废、1：增加、2：销售订单、3：采购订单")
    private Integer operateType;

    @ApiModelProperty("当前库存数量")
    private BigDecimal localInventory;

}
