package com.xjrsoft.module.erpModel.caseErpSupplier.dto;


import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class CaseErpSupplierPageDto extends PageInput {

    /**
     * 供应商状态(0潜在供应商，1正式供应商，2淘汰供应商)
     */
    private Integer state;
    /**
     * 供应商名称
     */
    private String name;

    /**
     * 风险评估等级(0优秀，1良好，2及格，3不及格，4未评估)
     */
    private Long finalState;

    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 供应商类型(1原料,2成品,3半成品,4其他)
     */
    private String type;

    /**
     * 正式供应商当前年审状态(0未年审，1审批中，2审批不通过，3审批通过，4不需要年审)
     */
    private Long formalState;
}
