package com.xjrsoft.module.erpModel.caseErpSupplier.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 供应商风险评估【case_erp_supplier_risk】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-04
 */
@TableName("case_erp_supplier_risk")
@ApiModel(value = "CaseErpSupplierRisk对象", description = "供应商风险评估【case_erp_supplier_risk】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpSupplierRisk extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("评估类型(0正常评估，1年审)")
    private Integer type;

    @ApiModelProperty("供应商外键(case_erp_supplier)")
    private Long supplierId;

    @ApiModelProperty("供货能力等级(1676831983363616770优秀，1676832056248037377良好，1676832163915821058及格，1676832225265905666不及格)")
    private Long capacityLevel;

    @ApiModelProperty("供货能力理由")
    private String capacityReason;

    @ApiModelProperty("供货能力附件路径")
    private String capacityFilePath;

    @ApiModelProperty("供货质量等级(1676831983363616770优秀，1676832056248037377良好，1676832163915821058及格，1676832225265905666不及格)")
    private Long qualityLevel;

    @ApiModelProperty("供货质量理由")
    private String qualityReason;

    @ApiModelProperty("供货质量附件")
    private String qualityFilePath;

    @ApiModelProperty("环境与安全等级(1676831983363616770优秀，1676832056248037377良好，1676832163915821058及格，1676832225265905666不及格)")
    private Long safetyLevel;

    @ApiModelProperty("环境与安全理由")
    private String safetyReason;

    @ApiModelProperty("环境与安全附件")
    private String safetyFilePath;

    @ApiModelProperty("最终评估等级(1676831983363616770优秀，1676832056248037377良好，1676832163915821058及格，1676832225265905666不及格)")
    private Long finalState;

    @ApiModelProperty("最终评估理由")
    private String finalReason;

    @ApiModelProperty("备注")
    private String remark;
}
