package com.xjrsoft.module.erpModel.caseErpSupplier.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 供应商供货清单【case_erp_supply_material】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-07-05
 */
@TableName("case_erp_supply_material")
@ApiModel(value = "CaseErpSupplyMaterial对象", description = "供应商供货清单【case_erp_supply_material】")
@Data
@EqualsAndHashCode(callSuper = false)
public class CaseErpSupplyMaterial extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("供应商外键(case_erp_supplier)")
    private Long supplierId;

    @ApiModelProperty("物料编号")
    private String code;

    @ApiModelProperty("物料名称")
    private String name;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("当前采购单价")
    private BigDecimal price;

    @ApiModelProperty("状态(1启用，0未启用)")
    private Integer state;

    @ApiModelProperty("备注")
    private String remark;
}
