package com.xjrsoft.module.erpModel.caseErpUnit.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class AddCaseErpUnitDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("单位类型id")
    @NotNull(message = "单位类型不能为空！")
    @ExcelProperty("单位类型id")
    private Long unitTypeId;

    @ApiModelProperty("单位名称")
    @NotNull(message = "单位名称不能为空！")
    @Length(min = 1,max = 20,message = "单位名称不能少于1个字符，大于20个字符！")
    @ExcelProperty("单位名称")
    private String name;

    @ApiModelProperty("单位符号")
    @ExcelProperty("单位符号")
    private String symbol;

    @ApiModelProperty("是否基准单位")
    @ExcelProperty("是否基准单位")
    private Integer isStandard;

    @ApiModelProperty("状态")
    @ExcelProperty("状态")
    private Integer state;

}
