package com.xjrsoft.module.erpModel.caseErpUnit.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class UpdateCaseErpUnitDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @NotNull(message = "主键不能为空！")
    private Long id;

    @ApiModelProperty("单位类型id")
    private Long unitTypeId;

    @ApiModelProperty("单位名称")
    @NotNull(message = "单位名称不能为空！")
    @Length(min = 1,max = 20,message = "单位名称不能少于1个字符，大于20个字符！")
    private String name;

    @ApiModelProperty("单位符号")
    private String symbol;

    @ApiModelProperty("是否基准单位")
    private Integer isStandard;

    @ApiModelProperty("状态")
    private Integer state;
}
