package com.xjrsoft.module.erpModel.caseErpUnit.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 单位列表【case_erp_unit】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-13
 */
@Data
@TableName("case_erp_unit")
@ApiModel(value = "CaseErpUnit对象", description = "单位列表【case_erp_unit】")
@EqualsAndHashCode(callSuper = false)
public class CaseErpUnit extends AuditEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("单位类型表外键id")
    private Long unitTypeId;

    @ApiModelProperty("单位名称")
    private String name;

    @ApiModelProperty("单位符号")
    private String symbol;

    @ApiModelProperty("是否基准单位")
    private Integer isStandard;

    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty("备注")
    private String remark;
}
