package com.xjrsoft.module.erpModel.caseErpUnit.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 单位换算明细表【case_erp_unit_convert_detail】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-13
 */
@Data
@TableName("case_erp_unit_convert_detail")
@ApiModel(value = "CaseErpUnitConvertDetail对象", description = "单位换算明细表【case_erp_unit_convert_detail】")
@EqualsAndHashCode(callSuper = false)
public class CaseErpUnitConvertDetail extends AuditEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("单位换算外键id")
    private Long unitConvertId;

    @ApiModelProperty("基本单位外键")
    private Long baseUnitId;

    @ApiModelProperty("转换单位外键")
    private Long shiftUnitId;

    @ApiModelProperty("转换数量")
    private BigDecimal number;

    @ApiModelProperty("备注")
    private String remark;
}
