package com.xjrsoft.module.form.service;

import cn.hutool.db.Entity;
import cn.hutool.db.Session;
import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.module.form.dto.*;
import org.apache.commons.lang3.tuple.Triple;

import java.util.List;
import java.util.Map;

/**
 * @Author: tzx
 * @Date: 2022/5/11 14:57
 */
public interface IFormExecuteService {
    /**
     * 获取自定义表单不分页列表数据
     * @param dto
     * @return
     */
    List<Entity> list(FormExecuteListDto dto);

    /**
     * 获取自定义表单分页列表数据
     * @param dto
     * @return
     */
    PageOutput<Entity> page(FormExecutePageDto dto);

    /**
     * 获取自定义表单 表单数据
     * @return
     */
    Object info(FormExecuteInfoDto dto);

    /**
     * 自定义表单 新增
     * @param dto
     * @return
     */
    Boolean add(FormExecuteAddOrUpdateDto dto);

    /**
     * 自定义表单 修改
     * @param dto
     * @return
     */
    Boolean update(FormExecuteAddOrUpdateDto dto);

    /**
     * 自定义表单 删除
     * @param dto
     * @return
     */
    Boolean delete(FormExecuteDeleteDto dto);

    /**
     * 工作流调用 自定义表单 新增
     * @param dto
     * @return
     */
    Triple<Session, Long, Long> workflowAdd(FormExecuteWorkflowAddDto dto);


    /**
     * 工作流调用 自定义表单 修改
     * @param dto
     * @return
     */
    Triple<Session, Long, Long> workflowUpdate(FormExecuteWorkflowUpdateDto dto);

    /**
     * 工作流调用 自定义表单 新增或者修改
     * @param dto
     * @return
     */
    Triple<Session, Boolean, Long> workflowAddOrUpdate(FormExecuteWorkflowUpdateDto dto);

    /**
     * 获取自定义表单 表单数据
     * @return
     */
    Object workFlowInfo(FormExecuteWorkflowInfoDto dto);

    /**
     * 批量新增主表数据
     * @return
     */
    Boolean saveMainBatch(Long formTemplateId, List<Map<String, Object>> dataList);
}
