package com.xjrsoft.module.organization.controller;


import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xjrsoft.common.constant.GlobalConstant;
import com.xjrsoft.common.model.result.R;
import com.xjrsoft.common.page.ConventPage;
import com.xjrsoft.common.page.PageOutput;
import com.xjrsoft.common.utils.RedisUtil;
import com.xjrsoft.common.utils.VoToColumnUtil;
import com.xjrsoft.module.organization.dto.WeChatDepartPageDto;
import com.xjrsoft.module.organization.dto.WeChatPageDto;
import com.xjrsoft.module.organization.entity.Department;
import com.xjrsoft.module.organization.entity.User;
import com.xjrsoft.module.organization.service.IDepartmentService;
import com.xjrsoft.module.organization.service.IUserService;
import com.xjrsoft.module.organization.service.WeChatService;
import com.xjrsoft.module.organization.vo.WeChatDepartPageVO;
import com.xjrsoft.module.organization.vo.WeChatPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;
import java.util.concurrent.CompletableFuture;

@RestController
@RequestMapping(value = GlobalConstant.ORGANIZATION_MODULE_PREFIX + "/wechat")
@Api(value = GlobalConstant.ORGANIZATION_MODULE_PREFIX + "/wechat", tags = "微信")
@AllArgsConstructor
public class WechatController {


    private final WeChatService WeChatService;

    private final IUserService userService;

    private final IDepartmentService departmentService;

    private final RedisUtil redisUtil;

    @PutMapping("/sync-user")
    @ApiOperation(value="微信信息更新")
    public R updateInfo(){

        WeChatService.updateInfo();
        CompletableFuture.runAsync(() -> {
            List<Department> depList = departmentService.list();
            redisUtil.set(GlobalConstant.DEP_CACHE_KEY, depList);

            List<User> userList = userService.list();
            redisUtil.set(GlobalConstant.USER_CACHE_KEY, userList);
        });
        return R.ok();
    }

    @GetMapping(value = "/page")
    @ApiOperation(value="获取员工分页信息")
    public R page(WeChatPageDto dto){
        return  R.ok(userService.getPage(dto));
    }

    @GetMapping(value = "/departpage")
    @ApiOperation(value="获取部门分页信息")
    public R page(WeChatDepartPageDto dto){
        return  R.ok(departmentService.Ipage(dto));
    }

}
