package com.xjrsoft.module.personnel.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.module.personnel.dto.UpdateFaceManagementDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class FaceManagementVo {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * 人脸编码
     */
    @ApiModelProperty("人脸编码")
    private String faceCode;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 性别 男, 女
     */
    @ApiModelProperty("性别 男, 女")
    private String sex;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String idno;
    /**
     * 名单有效期开始时间
     */
    @ApiModelProperty("名单有效期开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime peopleStartDate;
    /**
     * 名单有效期结束时间
     */
    @ApiModelProperty("名单有效期结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime peopleEndDate;
    /**
     * ic卡号（10位10进制）
     */
    @ApiModelProperty("ic卡号（10位10进制）")
    private String icno;
    /**
     * 图片的base64字符串
     */
    @ApiModelProperty("图片的base64字符串")
    private String registerBase64;
    /**
     * 数据同步状态 1=未同步 2=已同步 3=同步失败
     */
    @ApiModelProperty("数据同步状态 1=未同步 2=已同步 3=同步失败")
    private Integer syncStatus;
    /**
     * 状态 1=启用 2=禁用
     */
    @ApiModelProperty("状态 1=启用 2=禁用")
    private Integer status;
    /**
     * 验证状态 1=未验证 2=通过 3=失败
     */
    @ApiModelProperty("验证状态 1=未验证 2=通过 3=失败")
    private Integer verifyStatus;
    /**
     * 验证失败说明
     */
    @ApiModelProperty("验证失败说明")
    private String verifyErrorMsg;
}
