package com.xjrsoft.module.system.dto;

import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date:2022/3/30 11:40
 */
@Data
public class AddDictionaryItemDto {

    @NotNull(message = "数据字典项名称不能为空!")
    @Length(min = 1,max = 20,message = "项目名长度不能大于20字符！")
    private String name;

    @NotNull(message = "数据字典项编码不能为空!")
    @Length(min = 1,max = 10,message = "编码长度不能大于10字符！")
    private String code;

    private Integer sortCode;

    @Length(max = 255,message = "备注长度不能大于20字符！")
    private String remark;
}
