package com.xjrsoft.module.system.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xjrsoft.common.utils.VoToColumnUtil;
import com.xjrsoft.module.system.entity.DictionaryDetail;
import com.xjrsoft.module.system.entity.DictionaryItem;
import com.xjrsoft.module.system.mapper.DictionarydetailMapper;
import com.xjrsoft.module.system.mapper.DictionaryitemMapper;
import com.xjrsoft.module.system.service.IDictionaryitemService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xjrsoft.module.system.vo.DictionaryDetailVo;
import com.xjrsoft.module.system.vo.DictionaryItemDetailTreeVo;
import com.xjrsoft.module.system.vo.DictionaryItemPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 数据字典项目 服务实现类
 * </p>
 *
 * @author tzx
 * @since 2022-03-17
 */
@Service
@AllArgsConstructor
public class DictionaryitemServiceImpl extends ServiceImpl<DictionaryitemMapper, DictionaryItem> implements IDictionaryitemService {


    private DictionarydetailMapper dictionarydetailMapper;
    @Override
    public List<DictionaryItemDetailTreeVo> getTree() {

        List<DictionaryItem> itemList = list();
        List<DictionaryDetail> detailList = dictionarydetailMapper.selectList(null);

        List<DictionaryItemDetailTreeVo> result = new ArrayList<>();

        for (DictionaryItem dictionaryItem : itemList) {
            List<DictionaryDetail> child = detailList.stream().filter(x -> x.getItemId().equals(dictionaryItem.getId())).collect(Collectors.toList());
            DictionaryItemDetailTreeVo vo = BeanUtil.toBean(dictionaryItem, DictionaryItemDetailTreeVo.class);
            vo.setChildren(BeanUtil.copyToList(child, DictionaryDetailVo.class));
            result.add(vo);
        }

        return result;
    }
}
