package com.xjrsoft.module.teacher.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;


/**
* @title: 教职工基本信息管理
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
public class AddBaseTeacherFamilyMemberDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 与本人关系(xjr_dictionary_item[relationship])
    */
    @ApiModelProperty("与本人关系(xjr_dictionary_item[relationship])")
    private String relationship;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别(xjr_dictionary_item[gender])
    */
    @ApiModelProperty("性别(xjr_dictionary_item[gender])")
    private String gender;
    /**
    * 是否为监护人
    */
    @ApiModelProperty("是否为监护人")
    private Integer isGuardian;
    /**
    * 出生日期
    */
    @ApiModelProperty("出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dayOfBirth;
    /**
    * 政治面貌(xjr_dictionary_item[political_state])
    */
    @ApiModelProperty("政治面貌(xjr_dictionary_item[political_state])")
    private String politicalState;
    /**
    * 职业
    */
    @ApiModelProperty("职业")
    private String occupation;
    /**
    * 工作单位
    */
    @ApiModelProperty("工作单位")
    private String workUnit;
    /**
    * 联系电话
    */
    @ApiModelProperty("联系电话")
    private String mobile;

}
