package com.xjrsoft.module.teacher.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalDateTime;


/**
* @title: 教职工基本信息管理
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
@TableName("base_teacher_family")
@ApiModel(value = "教职工基本信息管理对象", description = "教职工基本信息管理")
public class BaseTeacherFamily implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 家庭邮编
    */
    @ApiModelProperty("家庭邮编")
    private String zipCode;
    /**
    * 家庭电话
    */
    @ApiModelProperty("家庭电话")
    private String telephone;
    /**
    * 联系人姓名
    */
    @ApiModelProperty("联系人姓名")
    private String contact;
    /**
    * 家庭人口
    */
    @ApiModelProperty("家庭人口")
    private Integer population;
    /**
    * 家庭住址
    */
    @ApiModelProperty("家庭住址")
    private String address;
    /**
    * 家庭经济情况
    */
    @ApiModelProperty("家庭经济情况")
    private String finance;


}