package com.xjrsoft.module.teacher.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.alibaba.fastjson.JSONArray;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;


/**
* @title: 教职工基本信息管理
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
@TableName(value = "base_teacher_regular",autoResultMap = true)
@ApiModel(value = "教职工基本信息管理对象", description = "教职工基本信息管理")
public class BaseTeacherRegular implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 教师资格证种类(xjr_dictionary_item[certificate_Type])
    */
    @ApiModelProperty("教师资格证种类(xjr_dictionary_item[certificate_Type])")
    private String certificateType;
    /**
    * 所属系统(xjr_dictionary_item[belong_org])
    */
    @ApiModelProperty("所属系统(xjr_dictionary_item[belong_org])")
    private String belongOrg;
    /**
    * 普通话等级(xjr_dictionary_item[mandarin_level])
    */
    @ApiModelProperty("普通话等级(xjr_dictionary_item[mandarin_level])")
    private String mandarinLevel;
    /**
    * 从教起始年月
    */
    @ApiModelProperty("从教起始年月")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTeachTime;
    /**
    * 任课状况(xjr_dictionary_item[teaching_status])多选
    */
    @ApiModelProperty("任课状况(xjr_dictionary_item[teaching_status])多选")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private JSONArray teachingStatus;
    /**
    * 任教学科类别(base_major_categor)
    */
    @ApiModelProperty("任教学科类别(base_major_categor)")
    private Long majorCategorId;
    /**
    * 是否双师型教师
    */
    @ApiModelProperty("是否双师型教师")
    private Integer isDoubleTeacher;
    /**
    * 任教学科(base_course_subject)
    */
    @ApiModelProperty("任教学科(base_course_subject)")
    private Long courseSubjectId;


}