package com.xjrsoft.module.teacher.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 表单出参
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
public class BaseTeacherVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 别名
    */
    @ApiModelProperty("别名")
    private String asName;
    /**
    * 英文姓名
    */
    @ApiModelProperty("英文姓名")
    private String enName;
    /**
    * 姓名拼音
    */
    @ApiModelProperty("姓名拼音")
    private String pyName;
    /**
    * 曾用名
    */
    @ApiModelProperty("曾用名")
    private String formerName;
    /**
    * 在职状态(xjr_dictionary_item[job_state])
    */
    @ApiModelProperty("在职状态(xjr_dictionary_item[job_state])")
    private String jobState;
    /**
    * 出生日期
    */
    @ApiModelProperty("出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dayOfBirth;
    /**
    * 生日类型(xjr_dictionary_item[date_type])
    */
    @ApiModelProperty("生日类型(xjr_dictionary_item[date_type])")
    private String birthType;
    /**
    * 民族(xjr_dictionary_item[nation])
    */
    @ApiModelProperty("民族(xjr_dictionary_item[nation])")
    private String nation;
    /**
    * 血型(xjr_dictionary_item[blood_type])
    */
    @ApiModelProperty("血型(xjr_dictionary_item[blood_type])")
    private String bloodType;
    /**
    * 健康状况(xjr_dictionary_item[health])
    */
    @ApiModelProperty("健康状况(xjr_dictionary_item[health])")
    private String health;
    /**
    * 婚姻状况(xjr_dictionary_item[marital_state])
    */
    @ApiModelProperty("婚姻状况(xjr_dictionary_item[marital_state])")
    private String maritalState;
    /**
    * 政治面貌(xjr_dictionary_item[political_state])
    */
    @ApiModelProperty("政治面貌(xjr_dictionary_item[political_state])")
    private String politicalState;
    /**
    * 国籍地区(xjr_dictionary_item[nationality])
    */
    @ApiModelProperty("国籍地区(xjr_dictionary_item[nationality])")
    private String nationality;
    /**
    * 港澳台侨外(xjr_dictionary_item[chinese_type])
    */
    @ApiModelProperty("港澳台侨外(xjr_dictionary_item[chinese_type])")
    private String chineseType;
    /**
    * 户口类别(xjr_dictionary_item[house_hold_type])
    */
    @ApiModelProperty("户口类别(xjr_dictionary_item[house_hold_type])")
    private String houseHoldType;
    /**
    * 省(xjr_area)
    */
    @ApiModelProperty("省(xjr_area)")
    private Long provinces;
    /**
    * 市(xjr_area)
    */
    @ApiModelProperty("市(xjr_area)")
    private Long city;
    /**
    * 区/县(xjr_area)
    */
    @ApiModelProperty("区/县(xjr_area)")
    private Long district;
    /**
    * 户籍地址
    */
    @ApiModelProperty("户籍地址")
    private String houseHoldAddress;
    /**
    * 参加工作年月
    */
    @ApiModelProperty("参加工作年月")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startWorkTime;
    /**
    * 来校年月
    */
    @ApiModelProperty("来校年月")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date joinTime;
    /**
    * 是否在编
    */
    @ApiModelProperty("是否在编")
    private Short isOrganized;
    /**
    * 聘用类型(xjr_dictionary_item[employ_type])
    */
    @ApiModelProperty("聘用类型(xjr_dictionary_item[employ_type])")
    private String employType;
    /**
    * 聘用方式(xjr_dictionary_item[employ_type])上级聘用类型
    */
    @ApiModelProperty("聘用方式(xjr_dictionary_item[employ_type])上级聘用类型")
    private String employWay;



}
