package com.xjrsoft.module.teacher.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 表单出参
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
public class XjrUserVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 账户
    */
    @ApiModelProperty("账户")
    private String userName;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 编号
    */
    @ApiModelProperty("编号")
    private String code;
    /**
    * 昵称
    */
    @ApiModelProperty("昵称")
    private String nickName;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private Integer gender;
    /**
    * 手机号
    */
    @ApiModelProperty("手机号")
    private String mobile;
    /**
    * 头像
    */
    @ApiModelProperty("头像")
    private String avatar;
    /**
    * 邮箱
    */
    @ApiModelProperty("邮箱")
    private String email;
    /**
    * 地址
    */
    @ApiModelProperty("地址")
    private String address;
    /**
    * 经度
    */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
    * 纬度
    */
    @ApiModelProperty("纬度")
    private Double latitude;
    /**
    * 排序码
    */
    @ApiModelProperty("排序码")
    private Integer sortCode;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
     * 证件类型(xjr_dictionary_item[credential_type])
     */
    @ApiModelProperty("证件类型(xjr_dictionary_item[credential_type])")
    private String credentialType;
    /**
     * 证件号码
     */
    @ApiModelProperty("证件号码")
    private String credentialNumber;

    /**
    * baseTeacher
    */
    @ApiModelProperty("baseTeacher子表")
    private List<BaseTeacherVo> baseTeacherList;
    /**
    * baseTeacherContact
    */
    @ApiModelProperty("baseTeacherContact子表")
    private List<BaseTeacherContactVo> baseTeacherContactList;
    /**
    * baseTeacherEducation
    */
    @ApiModelProperty("baseTeacherEducation子表")
    private List<BaseTeacherEducationVo> baseTeacherEducationList;
    /**
    * baseTeacherEmploy
    */
    @ApiModelProperty("baseTeacherEmploy子表")
    private List<BaseTeacherEmployVo> baseTeacherEmployList;
    /**
    * baseTeacherFamily
    */
    @ApiModelProperty("baseTeacherFamily子表")
    private List<BaseTeacherFamilyVo> baseTeacherFamilyList;
    /**
    * baseTeacherFamilyMember
    */
    @ApiModelProperty("baseTeacherFamilyMember子表")
    private List<BaseTeacherFamilyMemberVo> baseTeacherFamilyMemberList;
    /**
    * baseTeacherRegular
    */
    @ApiModelProperty("baseTeacherRegular子表")
    private List<BaseTeacherRegularVo> baseTeacherRegularList;

}
