package com.xjrsoft.module.workflow.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

/**
 * @Author: tzx
 * @Date: 2022/9/8 14:28
 */
@Data
public class LaunchDto {
    @ApiModelProperty("工作流模板id")
    @NotBlank(message = "工作流模板id")
    private String schemaId;

    @ApiModelProperty("表单数据")
    @NotNull(message = "表单数据不能为空")
    private Map<String,Map<String,Object>> formData;

    @ApiModelProperty("关联任务信息")
    private List<LaunchRelationTaskDto> relationTasks;

    @ApiModelProperty("所有上传文件的文件夹id")
    private List<Long> fileFolderIds;


}
